Comment for created types

/** * @author ${user} * * ${tags} */

Comment for overriding methods

/* (non-Javadoc) * ${see_to_overridden} */

Comment for fields

/** * */

Comment for getter method

/** * @return the ${bare_field_name} */

Comment for created constructors

/** * ${tags} */

Comment for setter method

/** * @param ${param} the ${bare_field_name} to set */

Comment for delegate methods

/** * ${tags} * ${see_to_target} */

Comment for created Java files

/* * Copyright ${year} Alibaba Group Holding Ltd. * * Licensed under the Apache License, Version 2.0 (the "License"); * you may not use this file except in compliance with the License. * You may obtain a copy of the License at * * http://www.apache.org/licenses/LICENSE-2.0 * * Unless required by applicable law or agreed to in writing, software * distributed under the License is distributed on an "AS IS" BASIS, * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. * See the License for the specific language governing permissions and * limitations under the License. */ // Created on ${date} // $$Id$$

Comment for non-overriding methods

/** * ${tags} */